package main

import (
	"context"

	"training/middleware"
	"training/orders"
)

// section: main
func main() {
	ctx := context.Background()
	ctx = middleware.Authenticate(ctx)

	middleware.PrintUserID(ctx)

	ctx = orders.NextOrderID(ctx)
	orders.CreateOrder(ctx)

	middleware.PrintUserID(ctx)
}

// section: main
